qtranslate_matrix(3)

NAME
qtranslate_matrix, qtranslate_matrix_f

SYNOPSIS
#include <allegro.h>

void qtranslate_matrix(MATRIX *m, fixed x, fixed y, fixed z); void qtranslate_matrix_f(MATRIX_f *m, float x, float y, float z);

DESCRIPTION
Optimised routine for translating an already generated matrix: this simply adds in the translation offset, so there is no need to build two temporary matrices and then multiply them together.

SEE ALSO
get_translation_matrix(3)